%define upstream_name    DateTime-Format-Mail
%define upstream_version 0.403

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Convert between DateTime and RFC2822/822 formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 1.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(DateTime\\)

%description
RFCs 2822 and 822 specify date formats to be used by email. 
This module parses and emits such dates.

RFC2822 (April 2001) introduces a slightly different format of date than that 
used by RFC822 (August 1982). The main correction is that the preferred format
is more limited, and thus easier to parse programmatically.

Despite the ease of generating and parsing perfectly valid RFC822 and RFC2822 
people still get it wrong. So this module provides four things for those 
handling mail dates:
  A strict parser that will only accept RFC2822 dates, so you can see where 
    you're right.
  A strict formatter, so you can generate the right stuff to begin with.
  A loose parser, so you can take the misbegotten output from other programs 
    and turn it into something useful. This includes various minor errors as 
    well as some somewhat more bizarre mistakes. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CREDITS Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.403.0-4.mga9
+ Revision: 1808751
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.403.0-3.mga8
+ Revision: 1503746
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.403.0-2.mga7
+ Revision: 1282648
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.403.0-1.mga7
+ Revision: 1128461
- update to 0.403

* Sat Jun 18 2016 pterjan <pterjan> 0.402.0-3.mga6
+ Revision: 1025125
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.402.0-2.mga6
+ Revision: 968537
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 0.402.0-1.mga6
+ Revision: 852964
- update to 0.402

* Wed Oct 15 2014 umeabot <umeabot> 0.401.0-4.mga5
+ Revision: 746201
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.401.0-3.mga5
+ Revision: 735485
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.401.0-2.mga5
+ Revision: 684279
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.401.0-1.mga5
+ Revision: 620546
- update to 0.401

* Tue Apr 15 2014 jquelin <jquelin> 0.400.0-1.mga5
+ Revision: 614705
- update to 0.400

* Fri Oct 18 2013 umeabot <umeabot> 0.300.100-3.mga4
+ Revision: 510750
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.100-2.mga3
+ Revision: 365621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.300.100-1.mga1
+ Revision: 36191
- mageia rebuild
- imported package perl-DateTime-Format-Mail


* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.300.100-1mdv2010.0
+ Revision: 398855
- update to 0.3001
- using %%perl_convert_version
- fixed license field

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.30-5mdv2009.0
+ Revision: 241201
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-3mdv2008.0
+ Revision: 88426
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - fix buildRequires
    - rebuild


* Wed Aug 09 2006 Michael Scherer <misc@mandriva.org> 0.30-1mdv2007.0
- First Mandriva package

